List fields
GET
/api/v1/tables/{tableId}/fields
const url = 'https://api.cloudtable.insurge.io/api/v1/tables/example/fields';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloudtable.insurge.io/api/v1/tables/example/fields \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tableId
required
string
Responses
Section titled “Responses”Fields
Media typeapplication/json
object
fields
required
Array<object>
object
id
required
string
name
required
string
type
required
string
isPrimary
required
boolean
order
required
number
options
Array<string>
linkedTableId
string
Examplegenerated
{ "fields": [ { "id": "example", "name": "example", "type": "example", "isPrimary": true, "order": 1, "options": [ "example" ], "linkedTableId": "example" } ]}Unauthorized
Not found